# AILog::LogData Struct Reference

Internal representation of the log-data inside the AI. More...

`#include <ai_log.hpp>`

## Data Fields
char ** | lines
| The log-lines.
AILog::AILogType * | type
| Per line, which type of log it was.
int | count
| Total amount of log-lines possible.
int | pos
| Current position in lines.
int | used
| Total amount of used log-lines.

## Detailed Description

Internal representation of the log-data inside the AI.

This has no use for you, as AI writer.

Definition at line 46 of file ai_log.hpp.

The documentation for this struct was generated from the following file:

- src/ai/api/ai_log.hpp